%define name picpuz
%define version 2.7
%define release %mkrel 1

Summary:  PicPuz - mouse-driven jigsaw puzzle
Summary(de): PicPuz - Maus gesteuertes Puzzle
Name:     %{name}
Version:  %{version}
Release:  %{release}
URL:       http://www.kornelix.net/picpuz/picpuz.html
Source:    http://www.kornelix.net/downloads/tarballs/%name-%version.tar.xz
License:   GPLv3
Group:     Games/Puzzles
#-------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: xdg-utils
#-------------------------------------------
BuildRoot: %_tmppath/%{name}-%{version}-%{release}-buildroot


%description
Jigsaw puzzle. Divide an image into pieces, randomize, put back 
together using the mouse. Save and recall unfinished puzzles.

#german
%description -l de
Jigsaw Puzzle. Unterteilen eines Bildes in kleine Stücke, durcheinander bringen 
und mit der Maus wieder zusammen puzzeln. 
Speichern Sie unfertige Puzzels und setzen Sie sie später wieder zusammen.

%prep
%setup -q

%build
%make PREFIX=/usr

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=%{buildroot}/usr

# delete old desktop file
rm -rf %{buildroot}%{_datadir}/applications/kornelix-picpuz.desktop

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PicPuz
Type=Application
Comment=A mouse-driven jigsaw puzzle
Comment[de]=Ein mausgesteuertes jigsaw Puzzel
Icon=%{name}
Exec=%{name}
Terminal=false
Categories=Gtk;Game;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

# menu icon
mkdir -p %buildroot%_datadir/pixmaps
install -m 644 icons/%name.png %buildroot%_datadir/pixmaps

mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%{name}
cp -r doc/* $RPM_BUILD_ROOT%_datadir/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%_datadir/doc/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%_datadir/pixmaps/%{name}.png
%{_datadir}/man/man1/%{name}.1.bz2
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 2.7-1pclos2016
- 2.7
- update urls

* Thu Dec 27 2013 bb <bb> 2.6-2pclos2013
- drop post useless update menu post scripts
- add BR

* Sat Dec 21 2013 ghostbunny <ghostbunny at gmx dot de> 2.6-1pclos2013
- 2.6

* Tue Feb 28 2012 ghostbunny <ghostbunny at gmx dot de> 2.5-1pclos2012
- 2.5
- fixed german translations, added german comment in desktop file section
- added xz compression
- replaced libgtk2-devel with %{_lib}gtk+3.0-devel
- added {_datadir}/man/man1/%{name}.1.bz2

* Tue May 18 2010 slick50 <lxgator@gmail.com> 2.1.3-1pclos2010
- 2.1.3

* Sun Dec 13 2009 Texstar <texstar at gmail.com> 2.1.1-2pclos2010
- fix rpm group Games/Puzzles

* Fri Nov 13 2009 slick50 <lxgator@gmail.com> 2.1.1-1pclos2010
- 2.1.1

* Tue Oct 27 2009 slick50 <lxgator@gmail.com> 2.1-1pclos2010
- initial build

